Bug 730068 (CVE-2011-4295, CVE-2011-4296) - CVE-2011-4295 CVE-2011-4296 moodle: multiple flaws in 2.x < 2.0.4 (MSA-11-0021, MSA-11-0022)
Summary: CVE-2011-4295 CVE-2011-4296 moodle: multiple flaws in 2.x < 2.0.4 (MSA-11-002...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2011-4295, CVE-2011-4296
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110808,reported=20110808,sou...
Depends On: 730070 730071
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 17:12 UTC by Vincent Danen
Modified: 2019-06-08 18:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-18 19:44:36 UTC


Attachments (Terms of Use)

Description Vincent Danen 2011-08-11 17:12:01 UTC
Two flaws were reported [1],[2] in moodle versions < 2.0.4 and < 2.1.1 (1.9.x is not affected):

moodle_enrol_external:role_assign() does not obey role assignment restrictions (MSA-11-0021)

The course creator role has incorrect default permissions (MSA-11-0022)

[1] http://moodle.org/mod/forum/discuss.php?d=182738
[2] http://moodle.org/mod/forum/discuss.php?d=182739

Recommend upgrading EPEL6 and Fedora 16/rawhide to 2.0.4.  Earlier versions of EPEL and Fedora have 1.9.x or 1.8.x and are not affected.

Comment 1 Vincent Danen 2011-08-11 17:13:31 UTC
Created moodle tracking bugs for this issue

Affects: epel-6 [bug 730070]
Affects: fedora-rawhide [bug 730071]

Comment 2 Vincent Danen 2011-11-18 19:40:24 UTC
MSA-11-0021 was assigned CVE-2011-4295
MSA-11-0022 was assigned CVE-2011-4296

Comment 3 Vincent Danen 2011-11-18 19:44:36 UTC
EPEL6 is currently at the fixed 2.1.2 version, as is rawhide.  F16 has 2.0.5 and is not vulnerable.


Note You need to log in before you can comment on or make changes to this bug.